# $Revision: 1.37 $, $Date: 2012/02/13 14:13:16 $
# TODO:
# - use system fonts (cm*.ttf) and metrics in mpl-data dir?
# - decide what to do with matplotlib/backends/Matplotlib.nib/*.nib files
%define		module	matplotlib
Summary:	Matlab(TM) style Python plotting package
Summary(pl.UTF-8):	Pakiet do rysowania w Pythonie podobny do Matlaba(TM)
Name:		python-%{module}
Version:	1.1.0
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/matplotlib/%{module}-%{version}.tar.gz
# Source0-md5:	57a627f30b3b27821f808659889514c2
URL:		http://matplotlib.sourceforge.net/
BuildRequires:	freetype-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	python >= 2.4
BuildRequires:	python-PyQt
BuildRequires:	python-PyQt4
BuildRequires:	python-dateutil
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel >= 1:1.0.3
BuildRequires:	python-numpy-numarray-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	python-pytz
# Need for import pyqtconfig needed by qt detection.
BuildRequires:	python-sip-devel
BuildRequires:	python-tkinter
BuildRequires:	python-wxPython
BuildRequires:	rpm-pythonprov
BuildRequires:	tk-devel
%pyrequires_eq	python-modules
Requires:	python-dateutil
Requires:	python-numpy >= 1:1.1
Requires:	python-numpy-oldnumeric
Requires:	python-pytz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
matplotlib strives to produce publication quality 2D graphics using
matlab plotting for inspiration. Although the main lib is object
oriented, there is a functional interface "pylab" for people coming
from Matlab.

%description -l pl.UTF-8
matplotlib usiłuje tworzyć grafikę 2D o jakości publikacji przy użyciu
wykresów matlaba jako inspiracji. Chociaż główna biblioteka jest
zorientowana obiektowo, jest interfejs funkcyjny "pylab" dla ludzi
przechodzących z Matlaba.

%prep
%setup -q -n %{module}-%{version}

rm -f setup.cfg

%build
export CFLAGS="%{rpmcflags}"
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# matplotlib can use system fonts, so drop these copies
rm -f $RPM_BUILD_ROOT%{py_sitedir}/matplotlib/mpl-data/Vera*.ttf

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README.txt TODO
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%dir %{py_sitedir}/%{module}/backends
%{py_sitedir}/%{module}/backends/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/backends/*.so
%dir %{py_sitedir}/%{module}/backends/qt4_editor
%{py_sitedir}/%{module}/backends/qt4_editor/*.py[co]
%{py_sitedir}/%{module}/delaunay
%{py_sitedir}/%{module}/mpl-data
%{py_sitedir}/%{module}/projections
%{py_sitedir}/%{module}/sphinxext
%{py_sitedir}/%{module}/testing
%{py_sitedir}/%{module}/tri

%{py_sitedir}/mpl_toolkits
%{py_sitedir}/pylab.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-matplotlib.spec,v $
Revision 1.37  2012/02/13 14:13:16  adamg
- updated to 1.1.0

Revision 1.36  2012/02/07 22:06:31  arekm
- release 3

Revision 1.35  2011/12/20 19:34:50  arekm
- release 2

Revision 1.34  2011/02/02 18:37:03  zbyniu
- up to 1.0.1

Revision 1.33  2011/01/23 20:44:26  sparky
- BR: rpm-pythonprov

Revision 1.32  2010/10/26 08:45:43  baggins
- rel 2

Revision 1.31  2010/07/28 09:32:01  baggins
- rel 1

Revision 1.30  2010/07/28 09:27:38  baggins
- updated files

Revision 1.29  2010/07/28 08:04:05  baggins
- 1.0.0

Revision 1.28  2010/07/09 11:22:19  arekm
- release 3

Revision 1.27  2010/07/08 08:21:34  arekm
- release 2

Revision 1.26  2010/06/07 23:25:46  arvenil
- up to 0.99.3
- -libpng.patch no more needed
- release 1

Revision 1.25  2010/02/11 20:24:24  megabajt
- added -libpng.patch
- release 3

Revision 1.24  2010/02/06 21:12:15  arekm
- release 2

Revision 1.23  2009/10/05 02:28:18  wrobell
- ver. 0.99.1.1

Revision 1.22  2009/08/20 19:55:13  wrobell
- ver. 0.99.0

Revision 1.21  2008/12/27 20:42:39  matkor
- Release 1. More BRs

Revision 1.20  2008/12/27 19:34:00  matkor
- Updated to 0.98.5.2.

Revision 1.19  2007/11/01 13:22:49  qboosh
- preserve dependency on numpy version, bumped to 1.0.3 (for included FFT)

Revision 1.18  2007/11/01 03:56:41  wolvverine
- up to 0.90.1, BR, R, %files

Revision 1.17  2007/04/19 21:10:03  wiget
- R: python-numpy-oldnumeric

Revision 1.16  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.14  2007/02/10 22:00:06  rotom
- up to 0.90.0
- adaptized

Revision 1.13  2006/09/23 12:59:17  rotom
- up to 0.87.5
- changed BR to new numarray

Revision 1.12  2006/07/17 14:57:10  qboosh
- build with (new) numpy; Numeric/numarray don't work properly in this release
- don't include Vera fonts, matplotlib can use system fonts

Revision 1.11  2006/07/17 09:41:16  qboosh
- updated to 0.87.4

Revision 1.10  2006/06/30 10:29:28  qboosh
- use system dateutil and pytz modules, files fixes; release 0.3

Revision 1.9  2006/05/12 05:47:58  qboosh
- unified

Revision 1.8  2006/05/08 21:45:25  emes
- added neccessary Req/BuildReq

Revision 1.7  2006/03/25 15:36:48  rotom
- up to 0.87.2

Revision 1.6  2006/02/22 18:37:09  rotom
- up to 0.87

Revision 1.5  2006/02/09 14:52:41  piti
- up to 0.86.2

Revision 1.4  2006/01/22 23:32:44  piti
- up to 0.86
- BuildArch: noarch removed. This package is architecture dependend.

Revision 1.3  2005/06/30 19:58:07  qboosh
- pl

Revision 1.2  2005/06/29 21:00:29  arekm
- fix md5

Revision 1.1  2005/06/29 20:55:34  arekm
- new
